<?php
/*
* Template Name: Homepage Custom Layout
* Description: Homepage style with custom layout
*/

	get_header(); ?>

		<!--HOME START-->
		<div id="home" class="clearfix">
        
			<!--HEADER START-->
			<?php get_template_part( 'loop/homepage', 'menu' ); ?>
			<!--HEADER END-->
		
		
			<!--SLIDER START-->
			<?php get_template_part( 'loop/home', 'slider' ); ?>
    		<!--SLIDER END-->
                
		</div><!--/home end-->
		<!--HOME END-->
        
    <?php //BUILDER START
	if ( function_exists( 'ot_get_option' ) ) {
      
      /* get the slider array */
      $cizarua_sections = ot_get_option( 'custom_layout', array() );
      
      if ( ! empty( $cizarua_sections ) ) {
        foreach( $cizarua_sections as $cizarua_section ) {
            if ( $cizarua_section['section_type'] == 'about_content' ) {
               get_template_part( 'loop/about', 'loop' ); 
            } else
			if ( $cizarua_section['section_type'] == 'services_content' ) {
               get_template_part( 'loop/services', 'loop' ); 
            } else
			if ( $cizarua_section['section_type'] == 'portfolio_content' ) {
               get_template_part( 'loop/works', 'loop' ); 
            } else
			if ( $cizarua_section['section_type'] == 'para2_content' ) {
               get_template_part( 'loop/client', 'loop' ); 
            } else

			if ( $cizarua_section['section_type'] == 'contact_content' ) {
               get_template_part( 'loop/contact', 'loop' ); 
            } else
			if ( $cizarua_section['section_type'] == 'custom_content' ) {
               		$cizarua_customsec = new WP_Query(array(  
							'post_type' =>  'custom-section',  
							'posts_per_page'  =>'1' ,
							'p' => $cizarua_section['custom_section']
						)  
					);  
					
					if ($cizarua_customsec->have_posts()) : while  ($cizarua_customsec->have_posts()) : $cizarua_customsec->the_post(); 
						 if (get_post_meta($post->ID, 'cs_format', true) == 'cs_default') { ?>
						<div id="<?php echo strtolower(preg_replace('/\s+/', '-',$cizarua_section['title'])); ?>" class="custom-section content clearfix">
 							<div class="container">
                            	<div class="box-content clearfix">
                                    <i class="content-icon fa <?php echo esc_attr(get_post_meta($post->ID, 'cs_icon', true)); ?>"></i>
                                    <p class="top-title"><?php echo esc_attr(get_post_meta($post->ID, 'cs_open_text', true)); ?></p>
                                    <h2 class="content-title"><?php the_title(); ?></h2>
                                </div>
                                <div class="spacing40 clearboth"></div>     
                                <?php if ( has_post_thumbnail() ) {
									the_post_thumbnail();
									echo '<div class="spacing30 clearboth"></div> ';
								}  
								the_content(); ?>                  
                        	</div><!--/container-->
						</div>

		
        	
						
						
						
						<?php } else  { ?>
						
						<div id="<?php echo strtolower(preg_replace('/\s+/', '-',$cizarua_section['title'])); ?>" class="custom-section bg <?php echo strtolower(preg_replace('/\s+/', '-',$cizarua_section['title'])); ?> content clearfix">
							<div class="bg-mask"></div>
							<div class="para-img team-bg para-bg" data-background="<?php echo wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) ) ?>"></div>
                            
                           	<div class="container box-content">
                            	<i class="content-icon fa <?php echo esc_attr(get_post_meta($post->ID, 'cs_icon', true)); ?>"></i>
                                <p class="top-title"><?php echo esc_attr(get_post_meta($post->ID, 'cs_open_text', true)); ?></p>
                                <h2 class="content-title"><?php the_title(); ?></h2>
                                <div class="spacing40 clearboth"></div>
                                
                                <?php the_content(); ?>
                                
                            </div><!--/.box-content-->
                
                
						</div><!--/.bg-->
						
						<?php }
					endwhile; endif; wp_reset_postdata(); 	
			} 
        }
      }
      
    }
    //BUILDER END
  
  	get_footer(); ?> 