<?php
function benten_theme_styles()  
{ 
  // Register the style like this for a theme:  
  // (First the unique name for the style (benten-custom-style) then the src, 
  // then dependencies and ver no. and media type)
  wp_register_style
    ('bootstrap', 
    get_template_directory_uri() . '/css/bootstrap.min.css', 
    array(), 
    '1', 
    'all' );
  wp_register_style
    ('font_awesome', 
    get_template_directory_uri() . '/css/font-awesome.min.css', 
    array(), 
    '1', 
    'all' );
  wp_register_style
    ('magnific-popup', 
    get_template_directory_uri() . '/css/magnific-popup.css', 
    array(), 
    '1', 
    'all' );
  wp_register_style
    ('owl_carousel', 
    get_template_directory_uri() . '/css/owl.carousel.css', 
    array(), 
    '1', 
    'all' );
  wp_register_style
    ('benten-theme-style', 
    get_stylesheet_directory_uri() . '/style.css', 
    array(), 
    '1', 
    'all' );



  // enqueing:
  wp_enqueue_style('bootstrap');
  wp_enqueue_style('font_awesome');
  wp_enqueue_style( 'magnific-popup' );
  wp_enqueue_style( 'owl_carousel' );
  wp_enqueue_style( 'benten-theme-style' );
}

//google font
/*
Register Fonts
*/
function benten_fonts_url() {
    $font_url = '';
    
    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'benten' ) ) {
        $font_url = add_query_arg( 'family', urlencode( 'Open Sans:400,700,600,800&subset=latin,cyrillic-ext,greek-ext,greek,cyrillic,latin-ext,vietnamese|Rubik:400,500,700&subset=cyrillic,hebrew,latin-ext|Playfair Display:400,400i,700,700i,900,900i&subset=cyrillic,latin-ext' ), "//fonts.googleapis.com/css" );
    }
    return $font_url;
}
/*
Enqueue scripts and styles.
*/
function benten_fonts_style() {
    wp_enqueue_style( 'benten-fonts', benten_fonts_url(), array(), '1.0.0' );
}
add_action( 'wp_enqueue_scripts', 'benten_fonts_style' );


