	(function ($) {
		"use strict";
		
			//portfolio ajax & scroll on click
			$(".port-ajax").on("click", function() {
				//portfolio ajax setting
				var toLoad = $(this).attr("data-link") + " .worksajax > *";
				$(".worksajax").slideUp("slow", loadContent);
		
				function loadContent() {
					$(".worksajax").load(toLoad, "", showNewContent)
				}
		
				function showNewContent() {
					$.getScript("/js/portfolio.js");
					$(".worksajax").slideDown("slow");
				}
				
		
				//portfolio scrolling
				var menuheigt = $( ".for-sticky" ).height();
				$("html, body").stop().animate({
					scrollTop: $("#worksajax").offset().top - menuheigt
					
				}, 1000, "linear");
				return false;
			});
		
		
			// Video responsive
			$("body").fitVids();
		
			//isotope setting(portfolio)
			var $container = $(".portfolio-body");
			$(window).on("load", function() {
				$container.imagesLoaded(function() {
					$container.isotope();
				});
			});
		
			// filter items when filter link is clicked
			$(".port-filter a").on("click", function() {
				var selector = $(this).attr("data-filter");
				$container.isotope({
					itemSelector: ".port-item",
					filter: selector
				});
				return false;
			});
			
			//adding active state to portfolio filtr
			$(".port-filter a").on("click", function() {
				$(".port-filter a").removeClass("active");
				$(this).addClass("active");
			});	
		})(jQuery);	