<?php
/*
* Works Section
*/
?>

        
        <!--WORKS START-->
        <div id="works" class="content clearfix">
        	<div class="container box-content">
            	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'works_icon' ) ) { ?>
                	<i class="content-icon fa <?php echo esc_attr( ot_get_option( 'works_icon' ));  ?>"></i>
                 <?php } ?>
                    
                <p class="top-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'works_small_title' ) ) { 
					echo esc_attr( ot_get_option( 'works_small_title' ));} else {esc_html_e('All of good things','benten'); } ?>
                </p>
                <h2 class="content-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'works_big_title' ) ) { 
					echo esc_attr( ot_get_option( 'works_big_title' ));} else {esc_html_e('Our works','benten'); } ?>
                </h2>
                
            </div><!--/box-content-->
            
            
            <div id="worksajax" class="worksajax clearfix"></div><!--portfolio detail here-->
            
            <div class="container">
            
            	<div class="spacing40"></div>
                
           		<ul class="port-filter">
                	<li>
                        <a class="active" href="#" data-filter="*">
                        	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'works_all' ) ) { 
							echo esc_attr( ot_get_option( 'works_all' ));} else {esc_html_e('All','benten'); } ?>
                        </a>
                    </li>
							<?php
							$ridianur_taxonomy = 'portfolio_category';
							$ridianur_terms = get_terms($ridianur_taxonomy); // Get all terms of a taxonomy
							if ( $ridianur_terms && !is_wp_error( $ridianur_terms ) ) :
								foreach ( $ridianur_terms as $ridianur_term ) { ?>
										<li><a data-filter=".<?php echo  strtolower(preg_replace('/[^a-zA-Z]+/', '-', $ridianur_term->name)); ?>" href="#">
										<?php echo esc_attr( $ridianur_term->name); ?></a></li>
									<?php } 
							endif;?>
                </ul>
                
                <div class="spacing20"></div>
            	<div class="row">
                	<div class="portfolio-body clearfix">
                    	
							<?php  
									$ridianur_ports = new WP_Query(array(  
											'post_type' =>  'portfolio',  
											'posts_per_page'  =>'-1'  
										)  
									);  
									
									if ($ridianur_ports->have_posts()) : while  ($ridianur_ports->have_posts()) : $ridianur_ports->the_post();
							?>
                            <?php $ridianur_terms = get_the_terms( get_the_ID(), 'portfolio_category' ); ?>
							<div class="col-md-4 col-sm-6 port-item <?php foreach ($ridianur_terms as $ridianur_term) { echo  strtolower(preg_replace('/[^a-zA-Z]+/', '-', $ridianur_term->name)). ' '; } ?>
							<?php $ridianur_allClasses = get_post_class(); foreach ($ridianur_allClasses as $ridianur_class) { echo esc_attr( $ridianur_class . " "); } ?>" id="post-<?php the_ID(); ?>">
								<a class="port-ajax" href="#" data-link="<?php the_permalink(); ?>">
                                
                                	<div class="port-hov">
                                        <i class="fa fa-search"></i>	
                                    </div><!--/.port-hov-->
                                    <?php the_post_thumbnail(); ?>
								</a>
                                
                                <div class="port-content">
                                    <i class="fa <?php echo esc_attr( get_post_meta($post->ID, 'port_icon', true)); ?>"></i>
                                    
                                    <?php $ridianur_taxonomy = 'portfolio_category'; $ridianur_taxs = wp_get_post_terms($post->ID,$ridianur_taxonomy);  ?> 
									<p class="port-cat"><?php $ridianur_cats = array();  foreach ( $ridianur_taxs as $ridianur_tax ) { $ridianur_cats[] =   $ridianur_tax->name ;   } 
									echo implode(', ', $ridianur_cats);?></p>
                                    <h3><?php the_title(); ?></h3>
                                </div><!--/.port-content-->
                                <div class="spacing30"></div>
							</div>
                            
                            <?php endwhile; endif; wp_reset_postdata(); ?>

                	</div><!--/.portfolio-body-->
                    
                </div><!--/row-->
            </div><!--/.container-->
            
        </div><!--/.works-->
        <!--WORKS END-->