
<?php get_header(); ?>
		<!--HEADER START-->
        <?php get_template_part( 'loop/other', 'menu' ); ?>
        <!--HEADER END-->

    <div class="content blog-wrapper">  
        <div class="container clearfix">
				<div class="row">
     				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                        
                   <?php  if ( get_post_meta($post->ID, 'abt_format', true) == 'ab_post_quote'){ ?>
                        <div class="col-md-7">
                        <?php } else { ?>
                        <div class="col-md-12">
                        <?php }?>
                                <!--if about is standard-->
                                <?php  if ( get_post_meta($post->ID, 'abt_type', true) == 'abt_img'){ ?>
                                <?php  if ( get_post_meta($post->ID, 'abt_image_setting', true)!= ''){ ?>
                                <img alt="about-image" src="<?php echo esc_url( get_post_meta($post->ID, 'abt_image_setting', true)); ?>">
                                <!--show featured image if no big image-->
                                <?php } else { the_post_thumbnail(); }
                                
                                //if about is slider
                                }else if ( get_post_meta($post->ID, 'abt_type', true) == 'abt_slider'){
                                    echo'<div class="slider about-slider clearfix" data-auto-play="8000">';
                                    $simage_ids = get_post_meta(get_the_ID(), 'abt_slider_setting', true);
                                    $simage_ids = explode( ',', $simage_ids );
                                    foreach( $simage_ids as $simage_id ) {
                                        $simage_port = wp_get_attachment_image( $simage_id, 'full' );
                                        echo '<div class="slide">' . $simage_port . '</div>';
                                    }
                                    echo'</div>'; 
                                    
                                //if about video	
                                } else if ( get_post_meta($post->ID, 'abt_type', true) == 'abt_video'){ 
                                echo'<div class="video"><iframe width="560" height="315" 
                                src="'.esc_url(get_post_meta($post->ID, 'abt_video_setting', true)).'?wmode=opaque;rel=0;showinfo=0;controls=0;iv_load_policy=3"></iframe></div>';
                                
                                //if about audio
                                } else if ( get_post_meta($post->ID, 'abt_type', true) == 'abt_audio'){ 
                                $audio = get_post_meta($post->ID, 'abt_audio_setting', true); ?> 
                                <div class="audio">
                                <?php echo wp_kses( $audio, array( 
                                    'iframe' => array(
                                            'src' => array(),
                                            'width' => array(),
                                            'height' => array(),
                                            'scrolling' => array(),
                                            'frameborder' => array(),
                                        ),
                                ) ); ?>
                                </div>
                                <?php }?>
                            
                                <div class="spacing40"></div>
                                
                                <p class="top-text">
                                	<?php the_title(); ?>
                                	<i class="toptext-icon fa fa-quote-right"></i>
                                </p>
                                
                                <?php the_content(); ?>
                                
                                <?php if ( get_post_meta($post->ID, 'abt_item_btn_text', true) !='' && get_post_meta($post->ID, 'abt_item_btn_link', true) != ''){?>
                                <div class="spacing20"></div>
                                <a class="go-btn" href="<?php echo  esc_url(get_post_meta($post->ID, 'abt_item_btn_link', true)); ?>">
                                <?php echo  esc_attr( get_post_meta($post->ID, 'abt_item_btn_text', true)); ?> 
                                </a>
                            	<?php } ?>
                                
                                <div class="spacing40 clearboth"></div>
                                
                        </div><!--/.col-md-7-->
                        
                        <?php  if ( get_post_meta($post->ID, 'abt_format', true) == 'ab_post_quote'){ ?>
                        <div class="col-md-5">
                        	<?php
              
						  /* get the about list array */
						  $ridianur_about_lists = get_post_meta($post->ID, 'abt_list', true);
						  
						  if ( ! empty( $ridianur_about_lists ) ) {
						   foreach ( $ridianur_about_lists as $ridianur_abl ) {?>
                           
								<p class="line-subtext"><?php echo  $ridianur_abl['top_text']  ; ?> </p>
                                
								<h3 class="content-subtitle"><?php echo  $ridianur_abl['title']  ; ?></h3>
                                
								<p><?php echo  $ridianur_abl['abl_bottom_text']  ; ?></p>
								
								<?php if ( ($ridianur_abl['abl_icon'] != '') ) { ?>
							    <i class="sub-icon fa <?php echo  $ridianur_abl['abl_icon']  ; ?>"></i>
								<?php } ?>
											
								<div class="spacing40 clearboth"></div>
							  
							 
							<?php }
						  } ?>
                        
                            
                        </div><!--/col-md-5-->
                        <?php } ?>
                        
                        
                    <?php endwhile; endif; ?>
                </div><!--/.row-->
        </div><!--/.container-->
	</div><!--/.blog-wrapper-->

    <?php  get_footer(); ?> 
