<?php
/*
* About Section
*/
?>

        <!--ABOUT START-->
        <div id="about" class="content clearfix">
        	<div class="container box-content">
            
            	 <?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'about_icon' ) ) { ?>
                	<i class="content-icon fa <?php echo esc_attr( ot_get_option( 'about_icon' ));  ?>"></i>
                 <?php } ?>
                    
                <p class="top-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'about_small_title' ) ) { 
					echo esc_attr( ot_get_option( 'about_small_title' ));} else {esc_html_e('Behind the scene','benten'); } ?>
                </p>
                <h2 class="content-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'about_big_title' ) ) { 
					echo esc_attr( ot_get_option( 'about_big_title' ));} else {esc_html_e('About Us','benten'); } ?>
                </h2>
                
            </div><!--/box-content-->
            
            <div class="spacing40 clearfix"></div>
            
            <div class="container">
            	<div class="row">
                		<?php  
						$ridianur_about = new WP_Query(array(  
								'post_type' =>  'about-us',  
								'posts_per_page'  =>'1'  
							)  
						);  
						if ($ridianur_about->have_posts()) : while  ($ridianur_about->have_posts()) : $ridianur_about->the_post();
						?>
                        
                        <?php  if ( get_post_meta($post->ID, 'abt_format', true) == 'ab_post_quote'){ ?>
                        <div class="col-md-7">
                        <?php } else { ?>
                        <div class="col-md-12">
                        <?php }?>
                                <!--if about is standard-->
                                <?php  if ( get_post_meta($post->ID, 'abt_type', true) == 'abt_img'){ ?>
                                <?php  if ( get_post_meta($post->ID, 'abt_image_setting', true)!= ''){ ?>
                                <img alt="about-image" src="<?php echo esc_url( get_post_meta($post->ID, 'abt_image_setting', true)); ?>">
                                <!--show featured image if no big image-->
                                <?php } else { the_post_thumbnail(); }
                                
                                //if about is slider
                                }else if ( get_post_meta($post->ID, 'abt_type', true) == 'abt_slider'){
                                    echo'<div class="slider about-slider clearfix" data-auto-play="8000">';
                                    $simage_ids = get_post_meta(get_the_ID(), 'abt_slider_setting', true);
                                    $simage_ids = explode( ',', $simage_ids );
                                    foreach( $simage_ids as $simage_id ) {
                                        $simage_port = wp_get_attachment_image( $simage_id, 'full' );
                                        echo '<div class="slide">' . $simage_port . '</div>';
                                    }
                                    echo'</div>'; 
                                    
                                //if about video	
                                } else if ( get_post_meta($post->ID, 'abt_type', true) == 'abt_video'){ 
                                echo'<div class="video"><iframe width="560" height="315" 
                                src="'.esc_url(get_post_meta($post->ID, 'abt_video_setting', true)).'?wmode=opaque;rel=0;showinfo=0;controls=0;iv_load_policy=3"></iframe></div>';
                                
                                //if about audio
                                } else if ( get_post_meta($post->ID, 'abt_type', true) == 'abt_audio'){ 
                                $audio = get_post_meta($post->ID, 'abt_audio_setting', true); ?> 
                                <div class="audio">
                                <?php echo wp_kses( $audio, array( 
                                    'iframe' => array(
                                            'src' => array(),
                                            'width' => array(),
                                            'height' => array(),
                                            'scrolling' => array(),
                                            'frameborder' => array(),
                                        ),
                                ) ); ?>
                                </div>
                                <?php }?>
                            
                                <div class="spacing40"></div>
                                
                                <p class="top-text">
                                	<?php the_title(); ?>
                                	<i class="toptext-icon fa fa-quote-right"></i>
                                </p>
                                
                                <?php the_content(); ?>
                                
                                <?php if ( get_post_meta($post->ID, 'abt_item_btn_text', true) !='' && get_post_meta($post->ID, 'abt_item_btn_link', true) != ''){?>
                                <div class="spacing20"></div>
                                <a class="go-btn" href="<?php echo  esc_url(get_post_meta($post->ID, 'abt_item_btn_link', true)); ?>">
                                <?php echo  esc_attr( get_post_meta($post->ID, 'abt_item_btn_text', true)); ?> 
                                </a>
                            	<?php } ?>
                                
                                <div class="spacing40 clearboth"></div>
                                
                        </div><!--/.col-md-7-->
                        
                        <?php  if ( get_post_meta($post->ID, 'abt_format', true) == 'ab_post_quote'){ ?>
                        <div class="col-md-5">
                        	<?php
              
						  /* get the about list array */
						  $ridianur_about_lists = get_post_meta($post->ID, 'abt_list', true);
						  
						  if ( ! empty( $ridianur_about_lists ) ) {
						   foreach ( $ridianur_about_lists as $ridianur_abl ) {?>
                           
								<p class="line-subtext"><?php echo  $ridianur_abl['top_text']  ; ?> </p>
                                
								<h3 class="content-subtitle"><?php echo  $ridianur_abl['title']  ; ?></h3>
                                
								<p><?php echo  $ridianur_abl['abl_bottom_text']  ; ?></p>
								
								<?php if ( ($ridianur_abl['abl_icon'] != '') ) { ?>
							    <i class="sub-icon fa <?php echo  $ridianur_abl['abl_icon']  ; ?>"></i>
								<?php } ?>
											
								<div class="spacing40 clearboth"></div>
							  
							 
							<?php }
						  } ?>
                        
                            
                        </div><!--/col-md-5-->
                        <?php } ?>
                        
                        <?php endwhile; endif; wp_reset_postdata();?>
                        
                </div><!--/.row-->
            </div><!--/.container-->
            
            
            
            <div class="container" id="team">
            	                
                <?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'team_toptext' ) ) { ?>
                	<p class="line-subtext"><?php echo esc_attr( ot_get_option( 'team_toptext' ));  ?></p>
                 <?php } ?>
                 
                <?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'team_title' ) ) { ?>
                	<h3 class="content-subtitle"><?php echo esc_attr( ot_get_option( 'team_title' ));  ?></h3>
                 <?php } ?>
                
                <div class="spacing20 clearboth"></div>
                
            	<div class="row">

                   <?php  
									$ridianur_teams = new WP_Query(array(  
											'post_type' =>  'team-post',  
											'posts_per_page'  =>'-1'  
										)  
									); 
									if ($ridianur_teams->have_posts()) : while  ($ridianur_teams->have_posts()) : $ridianur_teams->the_post();
					?>
                    
                    <div class="col-md-4">
                    	
                        <div class="img-team clearfix">
                    		<?php the_post_thumbnail(); ?>
                            
                            			<ul class="team-sicon">
											<?php if ( get_post_meta($post->ID, 'fb_si', true) != "") { ?>
											<li>
												<a href="<?php echo esc_url( apply_filters('get_the_content', get_post_meta($post->ID, 'fb_si', true))); ?>">
													<i class="fa fa-facebook"></i>
												</a>
											</li>
											<?php } ?>
											<?php if ( get_post_meta($post->ID, 'twit_si', true) != "") { ?>
											<li>
												<a href="<?php echo esc_url(  apply_filters('get_the_content', get_post_meta($post->ID, 'twit_si', true))); ?>">
													<i class="fa fa-twitter"></i>
												</a>
											</li>
											<?php } ?>
											<?php if ( get_post_meta($post->ID, 'pinterest_si', true) != "") { ?>
											<li>
												<a href="<?php echo esc_url(  apply_filters('get_the_content', get_post_meta($post->ID, 'pinterest_si', true))); ?>">
													<i class="fa fa-pinterest"></i>
												</a>
											</li>
											<?php } ?>
											<?php if ( get_post_meta($post->ID, 'gp_si', true) != "") { ?>
											<li>
												<a href="<?php echo esc_url(  apply_filters('get_the_content', get_post_meta($post->ID, 'gp_si', true))); ?>">
													<i class="fa fa-google-plus"></i>
												</a>
											</li>
											<?php } ?>
											<?php if ( get_post_meta($post->ID, 'instagram_si', true) != "") { ?>
											<li>
												<a href="<?php echo esc_url(  apply_filters('get_the_content', get_post_meta($post->ID, 'instagram_si', true))); ?>">
													<i class="fa fa-instagram"></i>
												</a>
											</li>
											<?php } ?>
											<?php if ( get_post_meta($post->ID, 'xing_si', true) != "") { ?>
											<li>
												<a href="<?php echo esc_url(  apply_filters('get_the_content', get_post_meta($post->ID, 'xing_si', true))); ?>">
													<i class="fa fa-xing"></i>
												</a>
											</li>
											<?php } ?>
											<!--ANOTHER SOCIAL ICON LIST-->
											<?php
												 /* get the icon list */
												 $socials =  get_post_meta($post->ID, 'another_si',  true);
												 
												 if ( ! empty( $socials ) ) {
													 foreach( $socials as $social ) {
														 echo '
														 <li><a href="' . esc_url($social['si_icon_link']) . '"><i class="fa ' . esc_attr($social['si_icon']) . '"></i></a></li>
														';
													 }
												 }				
											?>
											<!--ANOTHER SOCIAL ICON LIST END-->
										
											<?php if ( get_post_meta($post->ID, 'email_si', true) != "") { ?>
											<li>
												<a href="mailto:<?php echo esc_attr(apply_filters('get_the_content', get_post_meta($post->ID, 'email_si', true))); ?>">
													<i class="fa fa-envelope-o"></i>
												</a>
											</li>
											<?php } ?>
										</ul>
                                        
                        </div><!--/.img-team-->
                        
                        <div class="content-box">
                            <p class="box-subtext"><?php echo esc_attr(get_post_meta($post->ID, 'tp_post', true)); ?></p>
                            <h3 class="box-subtitle"><?php  the_title(); ?></h3>
                            <i class="box-icon fa <?php echo esc_attr(get_post_meta($post->ID, 'tp_icon', true)); ?>"></i>
                           
                        </div><!--/content-box-->
                        <div class="spacing40 clearboth"></div>
                    </div><!--/.col-md-4-->
                    
                    <?php  endwhile; endif; wp_reset_postdata();?>
                    
                    
                    
                </div><!--/.row-->
            </div><!--container-->
        </div><!--/about-->
 		<!--ABOUT END-->