<?php
/*
* Client Section
*/
?>
	
        <!--CLIENTS START-->
		<div id="clients" class="bg bg2 content">
			<div class="bg-mask"></div>
			<div class="para-img"></div>
			<div class="container box-content">
            
            	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'client_icon' ) ) { ?>
                	<i class="content-icon fa <?php echo esc_attr( ot_get_option( 'client_icon' ));  ?>"></i>
                 <?php } ?>
                    
                <p class="top-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'client_small_title' ) ) { 
					echo esc_attr( ot_get_option( 'client_small_title' ));} else {esc_html_e('People we works','benten'); } ?>
                </p>
                <h2 class="content-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'client_title' ) ) { 
					echo esc_attr( ot_get_option( 'client_title' ));} else {esc_html_e('The Client','benten'); } ?>
                </h2>
                
            	<div class="spacing40 clearboth"></div>
                
				<div class="row client-list">
                
					<?php  /* get the clients array */
				   	  if ( function_exists( 'ot_get_option' )&& ot_get_option( 'client_list' ) ) { 
						  $ridianur_clients = ot_get_option( 'client_list', array() );
						  
						  if ( ! empty( $ridianur_clients ) ) {
							foreach( $ridianur_clients as $ridianur_client ) { 
								if ( function_exists( 'ot_get_option' )&& ot_get_option( 'client_list_column' ) == 'col_3' ) { 
								echo '<div class="col-md-4 col-sm-6">';
								} else if ( function_exists( 'ot_get_option' )&& ot_get_option( 'client_list_column' ) == 'col_2' ){
								echo '<div class="col-md-6 col-sm-6">';
								}else{
								echo '<div class="col-md-3 col-sm-6">';
								}?>  
							
								<img alt="<?php echo esc_attr( $ridianur_client['title']); ?>" src="<?php echo esc_url( $ridianur_client['client_image']); ?>">
								<div class="spacing40 clearboth"></div>
							</div>
							<?php }
						  }
					} ?>
					<div class="clearfix clearboth"></div>
                    <?php if ( ot_get_option( 'client_btn_text' )  !='' && ot_get_option( 'client_btn_link' )  != ''){?>
                    	<a class="spc-btn slide-btn" href="<?php echo esc_url( ot_get_option( 'client_btn_link' ));  ?>"><?php echo esc_attr( ot_get_option( 'client_btn_text' ));  ?></a>
                    	<div class="spacing40 clearboth"></div>
                    <?php } ?>
                        
				</div><!--/.client-list-->
			</div><!--/.box-content-->
		</div><!--/.bg-->
		<!--CLIENTS END-->