<?php
/*
* Contact Section
*/
?>

<!--CONTACT START-->
		<div id="contact" class="content clearfix">
        	<div class="container box-content">
            
            	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'contact_icon' ) ) { ?>
                	<i class="content-icon fa <?php echo esc_attr( ot_get_option( 'contact_icon' ));  ?>"></i>
                 <?php } ?>
                    
                <p class="top-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'contact_small_title' ) ) { 
					echo esc_attr( ot_get_option( 'contact_small_title' ));} else {esc_html_e('Lets talk and meet','benten'); } ?>
                </p>
                <h2 class="content-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'contact_big_title' ) ) { 
					echo esc_attr( ot_get_option( 'contact_big_title' ));} else {esc_html_e('Contact Us','benten'); } ?>
                </h2>
               
            </div><!--/box-content-->
            
            <div class="spacing40 clearboth"></div>
            
			<div class="container">
           
                
                
        
                
                <div class="row">
                
                	
                    
                    <div class="col-md-7">
                    
                    			<div id="map_canvas" class="map_canvas"><!--DISPLAY GOOGLE MAP HERE--></div>
                                
                    			
                                <?php  
									$ridianur_contacts = new WP_Query(array(  
											'post_type' =>  'contact',  
											'posts_per_page'  =>'1'  
										)  
									);  
									
									if ($ridianur_contacts->have_posts()) : while  ($ridianur_contacts->have_posts()) : $ridianur_contacts->the_post();
								?>
									<?php the_content(); ?>	
									<div class="spacing30"></div>
								<?php endwhile; endif; wp_reset_postdata();?>
                    </div><!--/col-md-7-->
                    
                    <div class="col-md-4 contact-box">
                    	
                        <?php if ( ot_get_option( 'map_address' ) != '' ) { ?>
                    	<div class="box-address clearfix">
                        
                            <p class="line-subtext">
                            	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'sub_address' ) ) { 
                                echo esc_attr( ot_get_option( 'sub_address' ));} else { _e('Come visit us', 'benten'); }?>
                            </p>
                            
                            <h3 class="content-subtitle">
								<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'tx_address' ) ) { 
                                echo esc_attr( ot_get_option( 'tx_address' ));} else { _e('The Address', 'benten'); }?>
                            </h3>
                            <p>
                            <?php $ridianur_address = ot_get_option( 'map_address' );
                                if  ( function_exists( 'ot_get_option' ) && ot_get_option( 'map_address' )) { 
                                echo wp_kses( $ridianur_address, array( 
                                        'i' => array(
                                                'class' => array(),
                                            ),
                                        'p' => array(),
                                        'br' => array(),
                                        'span' => array(),
                                        'a' => array(
                                                'href' => array(),
                                            ),
                                        'strong' => array(),
                                    ) ); }
                                ?>
                            </p>
                            <i class="sub-icon fa fa-building"></i>
                            <div class="spacing40 clearboth"></div>
                        </div>
                        <?php  } ?>
                        
                        <?php if ( ot_get_option( 'map_phone' ) != '' ) { ?>
                        <div class="box-phone clearfix">
                        
                            <p class="line-subtext">
                            	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'sub_phone' ) ) { 
								echo esc_attr( ot_get_option( 'sub_phone' ));} else { _e('Call us anytime', 'benten'); }?>
                            </p>
                            
                            <h3 class="content-subtitle">
                            	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'tx_phone' ) ) { 
								echo esc_attr( ot_get_option( 'tx_phone' ));} else { _e('The Phone', 'benten'); }?>
                            </h3>
                            
                            <p>
                            	<?php $ridianur_phone = ot_get_option( 'map_phone' );
								if  ( function_exists( 'ot_get_option' ) && ot_get_option( 'map_phone' )) { 
								echo wp_kses( $ridianur_phone, array( 
										'i' => array(
												'class' => array(),
											),
										'p' => array(),
										'br' => array(),
										'span' => array(),
										'a' => array(
												'href' => array(),
											),
										'strong' => array(),
									) ); }
								?>
                            </p>
                            
                            <i class="sub-icon fa fa-tty"></i>
                            <div class="spacing40 clearboth"></div>
                        </div>
                        <?php  } ?>
                        
                        <?php if ( ot_get_option( 'map_email' ) != '' ) { ?>
                        <div class="box-email clearfix">
                            <p class="line-subtext">
                            	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'sub_email' ) ) { 
                                echo esc_attr( ot_get_option( 'sub_email' ));} else { _e('Send us today', 'benten'); }?>
                            </p>
                            
                            <h3 class="content-subtitle">
								<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'tx_email' ) ) { 
                                echo esc_attr( ot_get_option( 'tx_email' ));} else { _e('The Email', 'benten'); }?>
                            </h3>
                            
                            <p><a href="mailto:<?php echo esc_attr (ot_get_option( 'map_email' )); ?>"><?php echo esc_attr ( ot_get_option( 'map_email' )); ?></a></p>
                            <i class="sub-icon fa fa-envelope"></i>
                            <div class="spacing40 clearboth"></div>
                        </div>
						<?php  } ?>
                        
                    </div>
                    
                </div><!--/.row-->
            </div><!--/container-->
        </div><!--/contact-->
        <!--CONTACT END-->