<?php
/*
* Services Section
*/
?>

		
        <!--SERVICES START-->
        <div id="services" class="bg bg1 content clearfix">
        	<div class="container box-content">
            	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'services_icon' ) ) { ?>
                	<i class="content-icon fa <?php echo esc_attr( ot_get_option( 'services_icon' ));  ?>"></i>
                 <?php } ?>
                    
                <p class="top-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'services_open_text' ) ) { 
					echo esc_attr( ot_get_option( 'services_open_text' ));} else {esc_html_e('This is what we do','benten'); } ?>
                </p>
                <h2 class="content-title">
                	<?php if ( function_exists( 'ot_get_option' )&& ot_get_option( 'services_big_title' ) ) { 
					echo esc_attr( ot_get_option( 'services_big_title' ));} else {esc_html_e('Our services','benten'); } ?>
                </h2>
                
            	<div class="spacing40 clearboth"></div>
                
            	<div class="row">
                
                	<?php  
						$ridianur_svc = new WP_Query(array(  
								'post_type' =>  'services',  
								'posts_per_page'  =>'-1'  
							)  
						);  
						if ($ridianur_svc ->have_posts()) : while  ($ridianur_svc ->have_posts()) : $ridianur_svc ->the_post();
					?>
                    <div class="col-md-4">
                    	<p class="box-subtext"><?php echo esc_attr( get_post_meta($post->ID, 'sv_subs', true)); ?></p>
                        <h3 class="content-subtitle"><?php the_title(); ?></h3>
                        <i class="service-icon fa <?php echo esc_attr( get_post_meta($post->ID, 'sv_icon', true)); ?>"></i>
                        
                        <?php the_content(); ?>
                        <div class="spacing40 clearboth"></div>   
                        <?php if ( get_post_meta($post->ID, 'sv_item_btn_text', true) !='' && get_post_meta($post->ID, 'sv_item_btn_link', true) != ''){?>
                        <a class="spc-btn slide-btn" href="<?php echo  esc_url(get_post_meta($post->ID, 'sv_item_btn_link', true)); ?>">
                        <?php echo  esc_attr( get_post_meta($post->ID, 'sv_item_btn_text', true)); ?> 
                        </a>
                        <div class="spacing40 clearboth"></div>
                        <?php } ?>
                            
                    </div><!--/.col-md-4-->
                    
                    <?php endwhile; endif; wp_reset_postdata();?>
 
                </div><!--/.row-->
            </div><!--/box-content-->
        	<div class="bg-mask"></div>
			<div class="para-img"></div>
        </div>
        <!--SERVICES END-->